/*
 ******************************* Creazione file *******************************
 *-------------------------------------|--------------------------------------*
 * Creatore : Marco Savegnago             	Data di creazione : 23/12/98
 * Codice   :
 *
 * Declarations of Exported Function 
 *
 ******************************* Revisione file *******************************
 *-------------------------------------|--------------------------------------*
 * Revisore : 								Data di revisione :
 * Versione :
 *
 * Note:
 *
 */

#ifndef	__BVMOUSEHOOK_H
#define	__BVMOUSEHOOK_H

/******************************** Definizioni *********************************
*--------------------------------------|--------------------------------------*/

#ifdef BVMOUSEHOOK_EXPORTS
#define BVMOUSEHOOK_API __declspec(dllexport)
#else
#define BVMOUSEHOOK_API __declspec(dllimport)
#endif

/*************************** Dichiarazione dei tipi ***************************
*--------------------------------------|--------------------------------------*/
/********************************** Inlines ***********************************
*--------------------------------------|--------------------------------------*/
/************************* Variabili globali esterne **************************
*--------------------------------------|--------------------------------------*/

/************************** Prototipi delle funzioni **************************
*--------------------------------------|--------------------------------------*/

#ifdef	__cplusplus
extern	"C" 
{
#endif


BVMOUSEHOOK_API HANDLE	BVInstallMouseHook(HWND hWnd, DWORD	dw_MinMsg, DWORD dw_MaxMsg, DWORD	dw_QueueSize, BOOL b_Start);
BVMOUSEHOOK_API BOOL	BVGetMouseEvent(HANDLE hMsgQueue, LPMSG lpMsg, BOOL b_Remove);
BVMOUSEHOOK_API BOOL	BVFlushMouseQueue(HANDLE hMsgQueue);
BVMOUSEHOOK_API HANDLE	BVGetMouseQueue(HWND hWnd);
BVMOUSEHOOK_API BOOL	BVIsValidQueue(HANDLE hMsgQueue);
BVMOUSEHOOK_API BOOL	BVEnableMouseCapture(HANDLE hMsgQueue, BOOL b_enable);
BVMOUSEHOOK_API BOOL	BVIsMouseCaptureEnabled(HANDLE hMsgQueue);
BVMOUSEHOOK_API BOOL	BVRemoveMouseHook(HANDLE hMsgQueue);


#ifdef	__cplusplus
}
#endif

/*********************************** Macro ************************************
*--------------------------------------|--------------------------------------*/

#endif	//	#define	__BVMOUSEHOOK_H
